# Търсене с (Search With) #

* Автор: Ibrahim Hamadeh
* Изтегляне на [стабилна версия][1]
* Съвместимост с NVDA: от 2019.3 и по-нови версии

Тази добавка ви помага да търсите текст чрез различни търсачки. Когато няма
маркиран текст, задействайте командата на добавката – ще се изведе диалогов
прозорец с текстово поле, в което да въведете заявка за търсене. За търсене
с Google, натиснете Enter. Натиснете TAB, за да търсите с други търсачки.

Ако искате да търсите маркирания текст, маркирайте го и задействайте
командата еднократно – ще се покаже меню с различни търсачки за избор. Ако
задействате командата двукратно, директно ще задействате търсене на
маркирания текст с Google.

The Default gesture for the addon is: NVDA+ Windows+ S. If the keystroke do not work for you, or conflict with other keystroke, you can as always add a gesture or change the existent one going to: NVDA menu>preferences>inputGestures>Search With category.

## Начин на употреба

* Ако искате да въведете заявка за търсене, просто задействайте жеста за
  добавката. Ще се изведе диалогов прозорец с текстово поле за въвеждане на
  текста за търсене.
* Искате да търсите с Google? Просто натиснете Enter.
* В противен случай, отидете с TAB до бутона "Други търсачки" и го
  задействайте с интервал. Ще се появи изскачащо меню с различни търсачки за
  избор. Yahoo, Bing, DuckDuckGo и Youtube. Това е менюто по подразбиране и
  можете да го промените от панела с настройки за добавката.
* При задействане на клавишната комбинация по подразбиране на добавката, или
  на всяка друга, която сте й задали, ще се покаже виртуално меню с различни
  търсачки (или менюто по подразбиране, или всяко друго, което сте подбрали
  според вашите нужди).
* Изберете една и натиснете Enter. Браузърът по подразбиране ще се отвори и
  ще изведе резултатите от търсенето. Ако искате да търсите директно с
  Google, задействайте клавишната команда двукратно и сте готови.
* Искате ли да задействате менюто за търсене специално за клипборда или
  последния изговорен текст? Добре, тогава можете от диалоговия прозорец
  "Жестове на въвеждане", да присвоите жест за:
    * Задействане на менюто за търсене на текст в клипборда и двукратно
      натискане за търсене на този текст директно чрез Google.
    * Задействане на менюто за търсене на последния изговорен текст и
      двукратно натискане за търсене на този текст директно чрез Google.
* Искате да промените менюто на "Търсене с"? Да, можете да направите това от
  панела с настройки и да промените менюто според вашето настроение и нужди.
* И можете, ако желаете, да премахнете елемент от него, да преместите
  елемент нагоре, да преместите елемент надолу или да върнете менюто в
  състоянието му по подразбиране.
* Ако искате тези промени да останат за постоянно, трябва да запазите
  конфигурацията на NVDA след като ги направите.
* Искате ли да търсите с Google, използвайки други езикови опции?
* Тогава отидете в категорията "Търсене с" в прозореца с настройките на
  NVDA, от падащия списък там можете да изберете търсене с Google чрез:

    1. Използване на настройките и езика на браузъра.
    2. Използване на езика на NVDA.
    3. Използване на езика на Windows.

* Освен това имате възможност да изберете заявката по подразбиране в
  диалоговия прозорец "Търсене с". От падащия списък с опции за заявката по
  подразбиране в панела за настройки можете да изберете едно от двете

    * Да го оставите празно
    * Да използвате текста от клипборда
    * Да използвате последно изговорения текст

* И ако е избрано текста от клипборда или последно изговорения текст,
  текстът в полето за търсене по подразбиране ще е маркиран, така че да
  можете лесно да го замените.
* Сега нека изберем целевия език за превеждащите машини – Google Преводач и
  DeepL translator.
* Пак в панела с настройките, в групата "Машини за превод", има два
  разгъващи се списъка – едно за Google Преводач  и едно за DeepL
  Translator. Изберете целевия език, който искате за всеки от тях и сте
  готови.
* И накрая, специално за напредналите потребители
* Можете чрез поле за отметка в панела за настройки да изберете дали искате
  да запазите папката си с данни при инсталиране на нова версия. А това
  означава, че вашите данни ще бъдат запазени, но към тях ще се добавят и
  новите записи от новата версия.

И това е. Надявам се да търсите добри неща и да ги намерите. Приятно
търсене!

### Промени във версия 2.5.3 ###

* DeepL translator е добавен към наличните машини за превод.
* В панела с настройки са добавени два разгъващи се списъка за избор на
  целеви език за Google Преводач и DeepL translator.

### Промени във версия 2.3 ###

* Сега избирането на запазване на данните от панела за настройки не
  означава, че няма да получите новите записи на данни, но новите записи в
  новата версия ще бъдат обединени и добавени към вашия стар файл с данни.
* Флагът за най-нова тествана версия е обновен до 2023.1, за да е съвместима
  добавката с NVDA версия 2023.1.

### Промени във версия 2.0 ###

* Забраняване на добавката в защитен режим.
* Добавката е съвместима с версия 2022.1 на NVDA.

### Промени във версия 1.8 ###

* Добавено е поле за отметка в панела за настройки, което позволява на
  напредналите потребители да запазят папката си с данни.
* Добавени са два нови записа в жестовете на въвеждане:
    * Задействане на менюто за търсене на текст в клипборда и двукратно
      натискане за търсене на този текст директно чрез Google.
    * Задействане на менюто за търсене на последния изговорен текст и
      двукратно натискане за търсене на този текст директно чрез Google.

### Промени във версия 1.7

* В настройките на добавката е добавен падащ списък за избор на опция за
  заявка по подразбиране за диалоговия прозорец "Търсене с".
* Можете да изберете или да го оставите празно, или да се използва текста от
  клипборда, или да се използва последно изговорения текст.

### Промени във версия 1.2

* Добавени са още сайтове, които могат да бъдат добавени към менюто, като
  например Stackoverflow, Stackexchange, GoogleBooks и други.
* Добавена е опцията за използване на последно изговорения текст като заявка
  по подразбиране в диалоговия прозорец на "Търсене с".

### Промени във версия 0.4

* Добавен е диалогов прозорец, за случаите в които не е маркиран текст, за
  ръчно въвеждане на заявка за търсене.
* Добавена е възможност за промяна на менюто на "Търсене с" от панела за
  настройки.

### Промени във версия 0.3

* Добавен е панел за настройки, предоставящ повече езикови опции при
  търсенето с Google.

### Промени във версия 0.1

* Първо издание

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=searchwith
